#pragma once

#include <LView.h>
#include "piwdggen.h"

class PIPPViewAdapter : public LView {
public:
						PIPPViewAdapter();
						PIPPViewAdapter(	
								const PIPPViewAdapter	&inOriginal);
						PIPPViewAdapter(
								const SPaneInfo		&inPaneInfo,
								const SViewInfo		&inViewInfo);

	virtual void        SetBinding(PIBindingKind left, PIBindingKind top, 
                                   PIBindingKind right, PIBindingKind bottom);
	virtual void		AdaptToSuperFrameSize(
								Int32				inSurrWidthDelta,
								Int32				inSurrHeightDelta,
								Boolean				inRefresh);
	virtual void		ResizeFrameBy(
								Int16				inWidthDelta,
								Int16				inHeightDelta,
								Boolean				inRefresh);
								
protected:
	Rect				piBindings;
};
